%define upstream_name    Test-MockRandom
%define upstream_version 1.01

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

License:    GPL or Artistic
Group:      Development/Perl
Summary:    Override randoms with non-random behavior
Source0:     http://www.cpan.org/modules/by-module/Test/%{upstream_name}-%{upstream_version}.tar.gz
Url:        http://search.cpan.org/dist/%{upstream_name}

BuildRequires: perl(Carp)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec::Functions)
BuildRequires: perl(List::Util)
BuildRequires: perl(Test::More)
BuildRequires: perl(lib)
BuildRequires: perl(strict)
BuildRequires: perl(version)
BuildRequires: perl(warnings)
BuildRequires: perl-devel
BuildArch:  noarch

%description
This perhaps ridiculous-seeming module was created to test routines that
manipulate random numbers by providing a known output from 'rand'. Given a
list of seeds with 'srand', it will return each in turn. After seeded
random numbers are exhausted, it will always return 0. Seed numbers must be
of a form that meets the expected output from 'rand' as called with no
arguments -- i.e. they must be between 0 (inclusive) and 1 (exclusive). In
order to facilitate generating and testing a nearly-one number, this module
exports the function 'oneish', which returns a number just fractionally
less than one. 

Depending on how this module is called with 'use', it will export 'rand' to
a specified package (e.g. a class being tested) effectively overriding and
intercepting calls in that package to the built-in 'rand'. It can also
override 'rand' in the current package or even globally. In all of these
cases, it also exports 'srand' and 'oneish' to the current package in order
to control the output of 'rand'. See the /USAGE manpage for details.

Alternatively, this module can be used to generate objects, with each
object maintaining its own distinct seed array.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
%makeinstall_std

%files
%doc CONTRIBUTING Changes LICENSE META.json META.yml MYMETA.yml README examples
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sun Jun 19 2016 pterjan <pterjan> 1.10.0-5.mga6
+ Revision: 1034372
- Rebuild for perl 5.22.2

* Thu Feb 04 2016 umeabot <umeabot> 1.10.0-4.mga6
+ Revision: 935757
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.10.0-3.mga5
+ Revision: 748340
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.10.0-2.mga5
+ Revision: 686491
- Mageia 5 Mass Rebuild

* Tue Feb 25 2014 jquelin <jquelin> 1.10.0-1.mga5
+ Revision: 596969
- update to 1.01

* Fri Oct 18 2013 umeabot <umeabot> 1.00-4.mga4
+ Revision: 515247
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.00-3.mga3
+ Revision: 373633
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 18 2011 jquelin <jquelin> 1.00-2.mga1
+ Revision: 22902
- cleaning spec file
- imported package perl-Test-MockRandom

